diff --git a/changelog b/changelog
index c94aa65..6e74f31 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,20 @@
+20080428 tpd src/input/schaum19.input post-mortem fixes
+20080428 tpd src/input/schaum23.input post-mortem fixes
+20080428 tpd src/input/schaum24.input post-mortem fixes
+20080428 tpd src/input/schaum27.input post-mortem fixes
+20080428 tpd src/input/schaum28.input post-mortem fixes
+20080428 tpd src/input/schaum29.input post-mortem fixes
+20080428 tpd src/input/schaum33.input post-mortem fixes
+20080428 tpd src/input/schaum6.input post-mortem fixes
+20080428 tpd src/input/schaum7.input post-mortem fixes
+20080428 tpd src/input/schaum9.input post-mortem fixes
+20080427 tpd src/input/schaum34.input show Schaums-Axiom equivalence
+20080427 tpd src/input/schaum33.input show Schaums-Axiom equivalence
+20080427 tpd src/input/schaum32.input show Schaums-Axiom equivalence
+20080427 tpd src/input/schaum31.input show Schaums-Axiom equivalence
+20080427 tpd src/input/schaum30.input show Schaums-Axiom equivalence
+20080427 tpd src/input/schaum29.input show Schaums-Axiom equivalence
+20080427 tpd src/input/schaum28.input fix Schaums-Axiom equivalence
 20080426 tpd src/input/schaum28.input show Schaums-Axiom equivalence
 20080426 tpd src/input/schaum27.input show Schaums-Axiom equivalence
 20080426 tpd src/input/schaum26.input show Schaums-Axiom equivalence
diff --git a/src/input/schaum19.input.pamphlet b/src/input/schaum19.input.pamphlet
index bf580f0..343ab8a 100644
--- a/src/input/schaum19.input.pamphlet
+++ b/src/input/schaum19.input.pamphlet
@@ -1569,7 +1569,7 @@ cc:=aa-bb
 --R                                                     Type: Expression Integer
 --E
 
---S 125    14:416 Schaums and Axiom differ by a constant
+--S 125    14:416 Schaums and Axiom agree
 dd:=expandLog cc
 --R
 --R   (4)  0
diff --git a/src/input/schaum23.input.pamphlet b/src/input/schaum23.input.pamphlet
index c24ef73..d285a80 100644
--- a/src/input/schaum23.input.pamphlet
+++ b/src/input/schaum23.input.pamphlet
@@ -658,6 +658,34 @@ aa:=integrate(1/(q+p*csc(a*x)),x)
 
 --S 47
 t1:=integrate(1/(p+q*sin(a*x)),x)
+--R
+--R   (2)
+--R   [
+--R       log
+--R                                                      +-------+
+--R                                2    2             2  | 2    2
+--R              (p q sin(a x) + (q  - p )cos(a x) + q )\|q  - p
+--R            + 
+--R                    2    3                3    2              3    2
+--R              (- p q  + p )sin(a x) + (- q  + p q)cos(a x) - q  + p q
+--R         /
+--R            q sin(a x) + p
+--R    /
+--R         +-------+
+--R         | 2    2
+--R       a\|q  - p
+--R     ,
+--R                                          +---------+
+--R                                          |   2    2
+--R            (p sin(a x) + q cos(a x) + q)\|- q  + p
+--R      2atan(-----------------------------------------)
+--R                     2    2             2    2
+--R                   (q  - p )cos(a x) + q  - p
+--R    - ------------------------------------------------]
+--R                          +---------+
+--R                          |   2    2
+--R                        a\|- q  + p
+--R                                     Type: Union(List Expression Integer,...)
 --E
 
 --S 48
diff --git a/src/input/schaum24.input.pamphlet b/src/input/schaum24.input.pamphlet
index 9c034da..24b4527 100644
--- a/src/input/schaum24.input.pamphlet
+++ b/src/input/schaum24.input.pamphlet
@@ -2318,10 +2318,10 @@ ff:=expandLog ee
 --R                 2
 --R                                             Type: Expression Complex Integer
 --E
+@
 And we get the surprising result that they are not equal.
 In fact, they differ by a complex value depending on x.
 Likely there is a branch-cut issue lurking somewhere.
-@
 
 \section{\cite{1}:14.506~~~~~$\displaystyle
 \int{x^m\cot^{-1}\frac{x}{a}}~dx$}
diff --git a/src/input/schaum27.input.pamphlet b/src/input/schaum27.input.pamphlet
index cc233e4..68d33a3 100644
--- a/src/input/schaum27.input.pamphlet
+++ b/src/input/schaum27.input.pamphlet
@@ -355,7 +355,7 @@ sinhcoshrule:=rule(sinh(x)*cosh(y) == 1/2*(sinh(x+y)+sinh(x-y)))
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
 --E
 
---S 27     14:548 Axiom cannot simplify this expression
+--S 27     14:548 Schaums and Axiom agree
 ff:=sinhcoshrule ee
 --R
 --R   (9)  0
diff --git a/src/input/schaum28.input.pamphlet b/src/input/schaum28.input.pamphlet
index 3ba0bfc..49efb0e 100644
--- a/src/input/schaum28.input.pamphlet
+++ b/src/input/schaum28.input.pamphlet
@@ -410,7 +410,9 @@ cc:=aa-bb
 --R                         2                                      2
 --R              a sinh(a x)  + 2a cosh(a x)sinh(a x) + a cosh(a x)  + a
 --R                                                     Type: Expression Integer
---S 32
+--E
+
+--S 32     14:571 Schaums and Axiom differ by a constant
 dd:=complexNormalize cc
 --R
 --R          1
@@ -526,7 +528,7 @@ sinhcoshrule:=rule(sinh(x)*cosh(y) == 1/2*(sinh(x+y)+sinh(x-y)))
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
 --E
 
---S 41     14:572 Schaums and Axiom agree
+--S 41     14:572 Axiom cannot simplify this expression
 ff:=sinhcoshrule ee
 --R
 --R   (9)
@@ -787,9 +789,9 @@ dd:=tanhrule cc
 --S 61
 sinhcoshrule:=rule(sinh(x)*cosh(y) == 1/2*(sinh(x+y)+sinh(x-y)))
 --R
---I                             %B sinh(y + x) - %B sinh(y - x)
---I   (6)  %B cosh(y)sinh(x) == -------------------------------
---R                                            2
+--I                              %BC sinh(y + x) - %BC sinh(y - x)
+--I   (6)  %BC cosh(y)sinh(x) == -------------------------------
+--R                                              2
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
 --E
 
@@ -809,9 +811,9 @@ ee:=sinhcoshrule dd
 --S 63
 sinhsinhrule:=rule(sinh(x)*sinh(y)==1/2*(cosh(x+y)-cosh(x-y)))
 --R
---I                             %B cosh(y + x) - %B cosh(y - x)
---I   (8)  %B sinh(x)sinh(y) == -------------------------------
---R                                            2
+--I                              %BD sinh(y + x) - %BD sinh(y - x)
+--I   (8)  %BD cosh(y)sinh(x) == -------------------------------
+--R                                              2
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
 --E
 
@@ -1485,7 +1487,7 @@ bb:=1/(2*a)*coth((a*x)/2)-1/(6*a)*coth((a*x)/2)^3
 --R                                                     Type: Expression Integer
 --E
 
---S 107    14:580 Axiom cannot compute this integral
+--S 107    14:580 Axiom cannot simplify this expression
 cc:=aa-bb
 --R
 --R   (3)
@@ -2681,7 +2683,7 @@ cc1:=aa-bb1
 --R                                                     Type: Expression Integer
 --E
 
---S 134    14:584 Axiom cannot compute this integral
+--S 134    14:584 Axiom cannot simplify this expression
 cc2:=aa-bb2
 --R
 --R   (5)
diff --git a/src/input/schaum29.input.pamphlet b/src/input/schaum29.input.pamphlet
index 1aff49f..9c79630 100644
--- a/src/input/schaum29.input.pamphlet
+++ b/src/input/schaum29.input.pamphlet
@@ -77,7 +77,7 @@ coshsqrrule:=rule(cosh(x)^2 == 1/2*cosh(2*x)+1/2)
 --R                        Type: RewriteRule(Integer,Integer,Expression Integer)
 --E
 
---S 7      14:590 Schaums and Axiom agree
+--S 7      14:590 Schaums and Axiom differ by a constant
 ee:=coshsqrrule dd
 --R
 --R         1
@@ -209,6 +209,7 @@ bb:=cosh(a*x)^(n+1)/((n+1)*a)
 --E
 
 --S 16     14:593 Axiom cannot simplify this expression
+cc:=aa-bb
 --R
 --R   (3)
 --R       - cosh(a x)sinh(n log(cosh(a x))) - cosh(a x)cosh(n log(cosh(a x)))
@@ -727,6 +728,7 @@ bb:=-(2*coth(2*a*x))/a
 --E
 
 --S 47     14:598 Axiom cannot simplify this expression
+cc:=aa-bb
 --R
 --R   (3)
 --R                           4                                3
diff --git a/src/input/schaum33.input.pamphlet b/src/input/schaum33.input.pamphlet
index 74e0c8b..61506d7 100644
--- a/src/input/schaum33.input.pamphlet
+++ b/src/input/schaum33.input.pamphlet
@@ -666,7 +666,7 @@ gg:=sinhcoshrule ff
 --R                                                     Type: Expression Integer
 --E
 
---S 38     14:642 Axiom cannot simplify this expression
+--S 38     14:642 Schaums and Axiom differ by a constant
 hh:=complexNormalize gg
 --R
 --R         - log(- 1) + log(- 2)
diff --git a/src/input/schaum6.input.pamphlet b/src/input/schaum6.input.pamphlet
index 854e780..ca2c6aa 100644
--- a/src/input/schaum6.input.pamphlet
+++ b/src/input/schaum6.input.pamphlet
@@ -467,7 +467,7 @@ bb:=-x/(2*(x^2+a^2))+1/(2*a)*atan(x/a)
 --R                                                     Type: Expression Integer
 --E
 
---S 38     14:134 Schaums and Axiom differ by a constant
+--S 38     14:134 Schaums and Axiom agree
 cc:=aa-bb
 --R
 --R   (3)  0
diff --git a/src/input/schaum7.input.pamphlet b/src/input/schaum7.input.pamphlet
index fcdd71c..52e0b97 100644
--- a/src/input/schaum7.input.pamphlet
+++ b/src/input/schaum7.input.pamphlet
@@ -410,9 +410,9 @@ t2:=logpow t1
 
 --S 35     14:150 Schaums and Axiom agree
 cc:=aa-t2
-
-   (7)  0
-                                                     Type: Expression Integer
+--R
+--R   (7)  0
+--R                                                     Type: Expression Integer
 --E
 @
 
diff --git a/src/input/schaum9.input.pamphlet b/src/input/schaum9.input.pamphlet
index d632de7..fa7d4f2 100644
--- a/src/input/schaum9.input.pamphlet
+++ b/src/input/schaum9.input.pamphlet
@@ -392,12 +392,12 @@ dd:=expandLog cc
 
 --S 28     14:188 Schaums and Axiom differ by a constant
 ee:=complexNormalize dd
-
-        log(- 1)
-   (5)  --------
-             3
-           2a
-                                                     Type: Expression Integer
+--R
+--R        log(- 1)
+--R   (5)  --------
+--R             3
+--R           2a
+--R                                                     Type: Expression Integer
 --E
 
 @
